Bug 215918 - date printed in Japanese, ends up garbled
date printed in Japanese, ends up garbled
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: initscripts (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-16 06:09 EST by Bastien Nocera
Modified: 2014-03-16 23:03 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-17 06:11:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bastien Nocera 2006-11-16 06:09:05 EST
1. Install RHEL5 in Japanese
2. Boot up in text mode

The date will show up garbled (something like 2006年 11月 16日 木曜日 11:07:00
GMT, but without a UTF-8 capable font)

lang.sh needs to set LC_TIME to en_US to avoid garbled display on bootup.
Comment 1 RHEL Product and Program Management 2006-11-16 06:20:32 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 2 Bill Nottingham 2006-11-16 13:37:17 EST
Why isn't LC_TIME inherited from $LANG?
Comment 3 Bill Nottingham 2006-11-16 13:41:47 EST
Also, is this only on bootup?
Comment 4 Bill Nottingham 2006-11-16 15:15:59 EST
Also also, what version of initscripts?
Comment 5 Bastien Nocera 2006-11-17 06:11:03 EST
(In reply to comment #2)
> Why isn't LC_TIME inherited from $LANG?

I'm on crack. I checked this when lang.sh wasn't there. The old initscript used
to change LC_MESSAGES.

Note You need to log in before you can comment on or make changes to this bug.